Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rabbitmq.client
Class AMQP.BasicProperties

    java.lang.Object
      com.rabbitmq.client.impl.AMQContentHeader
          com.rabbitmq.client.impl.AMQBasicProperties
              com.rabbitmq.client.AMQP.BasicProperties

All Implemented Interfaces:
  BasicProperties, ContentHeader, java.lang.Cloneable

Enclosing interface:
  AMQP

    public static class AMQP.BasicProperties

extends AMQBasicProperties

Nested Class Summary
`static class` | `AMQP.BasicProperties.Builder`

Constructor Summary
`AMQP.BasicProperties()`
`AMQP.BasicProperties(java.io.DataInputStream in)`
`AMQP.BasicProperties(java.lang.String contentType, java.lang.String contentEncoding, java.util.Map<java.lang.String,java.lang.Object> headers, java.lang.Integer deliveryMode, java.lang.Integer priority, java.lang.String correlationId, java.lang.String replyTo, java.lang.String expiration, java.lang.String messageId, java.util.Date timestamp, java.lang.String type, java.lang.String userId, java.lang.String appId, java.lang.String clusterId)`

Method Summary
`void` | `appendPropertyDebugStringTo(java.lang.StringBuilder acc)` Public API - A debugging utility - enable properties to be appended to a string buffer for use as trace messages.
`AMQP.BasicProperties.Builder` | `builder()`
`java.lang.String` | `getAppId()` Retrieve the value in the appId field.
`int` | `getClassId()` Retrieve the class ID (see the spec for a list of allowable IDs).
`java.lang.String` | `getClassName()` Retrieve the class name, eg "basic" (see the spec for a list of these).
`java.lang.String` | `getClusterId()`
`java.lang.String` | `getContentEncoding()` Retrieve the value in the contentEncoding field.
`java.lang.String` | `getContentType()` Retrieve the value in the contentType field.
`java.lang.String` | `getCorrelationId()` Retrieve the value in the correlationId field.
`java.lang.Integer` | `getDeliveryMode()` Retrieve the value in the deliveryMode field.
`java.lang.String` | `getExpiration()` Retrieve the value in the expiration field.
`java.util.Map<java.lang.String,java.lang.Object>` | `getHeaders()` Retrieve the table in the headers field as a map of fields names and values.
`java.lang.String` | `getMessageId()` Retrieve the value in the messageId field.
`java.lang.Integer` | `getPriority()` Retrieve the value in the priority field.
`java.lang.String` | `getReplyTo()` Retrieve the value in the replyTo field.
`java.util.Date` | `getTimestamp()` Retrieve the value in the timestamp field.
`java.lang.String` | `getType()` Retrieve the value in the type field.
`java.lang.String` | `getUserId()` Retrieve the value in the userId field.
`void` | `setAppId(java.lang.String appId)` Deprecated.
`void` | `setClusterId(java.lang.String clusterId)` Deprecated.
`void` | `setContentEncoding(java.lang.String contentEncoding)` Deprecated.
`void` | `setContentType(java.lang.String contentType)` Deprecated.
`void` | `setCorrelationId(java.lang.String correlationId)` Deprecated.
`void` | `setDeliveryMode(java.lang.Integer deliveryMode)` Deprecated.
`void` | `setExpiration(java.lang.String expiration)` Deprecated.
`void` | `setHeaders(java.util.Map<java.lang.String,java.lang.Object> headers)` Deprecated.
`void` | `setMessageId(java.lang.String messageId)` Deprecated.
`void` | `setPriority(java.lang.Integer priority)` Deprecated.
`void` | `setReplyTo(java.lang.String replyTo)` Deprecated.
`void` | `setTimestamp(java.util.Date timestamp)` Deprecated.
`void` | `setType(java.lang.String type)` Deprecated.
`void` | `setUserId(java.lang.String userId)` Deprecated.
`void` | `writePropertiesTo(ContentHeaderPropertyWriter writer)` Private API - Autogenerated writer for this header

Methods inherited from class com.rabbitmq.client.impl.AMQBasicProperties
`clone`

Methods inherited from class com.rabbitmq.client.impl.AMQContentHeader
`getBodySize, toFrame, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AMQP.BasicProperties

    public AMQP.BasicProperties(java.lang.String contentType,
                                java.lang.String contentEncoding,
                                java.util.Map<java.lang.String,java.lang.Object> headers,
                                java.lang.Integer deliveryMode,
                                java.lang.Integer priority,
                                java.lang.String correlationId,
                                java.lang.String replyTo,
                                java.lang.String expiration,
                                java.lang.String messageId,
                                java.util.Date timestamp,
                                java.lang.String type,
                                java.lang.String userId,
                                java.lang.String appId,
                                java.lang.String clusterId)

### AMQP.BasicProperties

    public AMQP.BasicProperties(java.io.DataInputStream in)
                         throws java.io.IOException

Throws:
  `java.io.IOException`

### AMQP.BasicProperties

    public AMQP.BasicProperties()

Method Detail

### getClassId

    public int getClassId()

  Description copied from interface: `ContentHeader`
  Retrieve the class ID (see the spec for a list of allowable IDs).

  Returns:
    class ID of this ContentHeader. Properly an unsigned short, i.e. only the lowest 16 bits are significant

### getClassName

    public java.lang.String getClassName()

  Description copied from interface: `ContentHeader`
  Retrieve the class name, eg "basic" (see the spec for a list of these).

  Returns:
    class name of this ContentHeader

### builder

    public AMQP.BasicProperties.Builder builder()

### getContentType

    public java.lang.String getContentType()

  Description copied from interface: `BasicProperties`
  Retrieve the value in the contentType field.

  Returns:
    contentType field, or null if the field has not been set.

### setContentType

    @Deprecated
    public void setContentType(java.lang.String contentType)

  Deprecated.

  Description copied from interface: `BasicProperties`
  Set the contentType field, or null indicating the field is not set

  Parameters:
    `contentType` - the value to set the field to

### getContentEncoding

    public java.lang.String getContentEncoding()

  Description copied from interface: `BasicProperties`
  Retrieve the value in the contentEncoding field.

  Returns:
    contentEncoding field, or null if the field has not been set.

### setContentEncoding

    @Deprecated
    public void setContentEncoding(java.lang.String contentEncoding)

  Deprecated.

  Description copied from interface: `BasicProperties`
  Set the contentEncoding field, or null indicating the field is not set

  Parameters:
    `contentEncoding` - - the value to set the field to

### getHeaders

    public java.util.Map<java.lang.String,java.lang.Object> getHeaders()

  Description copied from interface: `BasicProperties`
  Retrieve the table in the headers field as a map of fields names and values.

  Returns:
    headers table, or null if the headers field has not been set.

### setHeaders

    @Deprecated
    public void setHeaders(java.util.Map<java.lang.String,java.lang.Object> headers)

  Deprecated.

  Description copied from interface: `BasicProperties`
  Set the headers table, or null indicating the field is not set

  Parameters:
    `headers` - a map of table field names and values

### getDeliveryMode

    public java.lang.Integer getDeliveryMode()

  Description copied from interface: `BasicProperties`
  Retrieve the value in the deliveryMode field.

  Returns:
    deliveryMode field, or null if the field has not been set.

### setDeliveryMode

    @Deprecated
    public void setDeliveryMode(java.lang.Integer deliveryMode)

  Deprecated.

  Description copied from interface: `BasicProperties`
  Set the deliveryMode field, or null indicating the field is not set

  Parameters:
    `deliveryMode` - the value to set the field to

### getPriority

    public java.lang.Integer getPriority()

  Description copied from interface: `BasicProperties`
  Retrieve the value in the priority field.

  Returns:
    priority field, or null if the field has not been set.

### setPriority

    @Deprecated
    public void setPriority(java.lang.Integer priority)

  Deprecated.

  Description copied from interface: `BasicProperties`
  Set the priority field, or null indicating the field is not set

  Parameters:
    `priority` - the value to set the field to

### getCorrelationId

    public java.lang.String getCorrelationId()

  Description copied from interface: `BasicProperties`
  Retrieve the value in the correlationId field.

  Returns:
    correlationId field, or null if the field has not been set.

### setCorrelationId

    @Deprecated
    public void setCorrelationId(java.lang.String correlationId)

  Deprecated.

  Description copied from interface: `BasicProperties`
  Set the correlationId field, or null indicating the field is not set

  Parameters:
    `correlationId` - the value to set the field to

### getReplyTo

    public java.lang.String getReplyTo()

  Description copied from interface: `BasicProperties`
  Retrieve the value in the replyTo field.

  Returns:
    replyTo field, or null if the field has not been set.

### setReplyTo

    @Deprecated
    public void setReplyTo(java.lang.String replyTo)

  Deprecated.

  Description copied from interface: `BasicProperties`
  Set the replyTo field, or null indicating the field is not set

  Parameters:
    `replyTo` - the value to set the field to

### getExpiration

    public java.lang.String getExpiration()

  Description copied from interface: `BasicProperties`
  Retrieve the value in the expiration field.

  Returns:
    expiration field, or null if the field has not been set.

### setExpiration

    @Deprecated
    public void setExpiration(java.lang.String expiration)

  Deprecated.

  Description copied from interface: `BasicProperties`
  Set the expiration field, or null indicating the field is not set

  Parameters:
    `expiration` - the value to set the field to

### getMessageId

    public java.lang.String getMessageId()

  Description copied from interface: `BasicProperties`
  Retrieve the value in the messageId field.

  Returns:
    messageId field, or null if the field has not been set.

### setMessageId

    @Deprecated
    public void setMessageId(java.lang.String messageId)

  Deprecated.

  Description copied from interface: `BasicProperties`
  Set the messageId field, or null indicating the field is not set

  Parameters:
    `messageId` - the value to set the field to

### getTimestamp

    public java.util.Date getTimestamp()

  Description copied from interface: `BasicProperties`
  Retrieve the value in the timestamp field.

  Returns:
    timestamp field, or null if the field has not been set.

### setTimestamp

    @Deprecated
    public void setTimestamp(java.util.Date timestamp)

  Deprecated.

  Description copied from interface: `BasicProperties`
  Set the timestamp field, or null indicating the field is not set

  Parameters:
    `timestamp` - the value to set the field to

### getType

    public java.lang.String getType()

  Description copied from interface: `BasicProperties`
  Retrieve the value in the type field.

  Returns:
    type field, or null if the field has not been set.

### setType

    @Deprecated
    public void setType(java.lang.String type)

  Deprecated.

  Description copied from interface: `BasicProperties`
  Set the type field, or null indicating the field is not set

  Parameters:
    `type` - the value to set the field to

### getUserId

    public java.lang.String getUserId()

  Description copied from interface: `BasicProperties`
  Retrieve the value in the userId field.

  Returns:
    userId field, or null if the field has not been set.

### setUserId

    @Deprecated
    public void setUserId(java.lang.String userId)

  Deprecated.

  Description copied from interface: `BasicProperties`
  Set the userId field, or null indicating the field is not set

  Parameters:
    `userId` - the value to set the field to

### getAppId

    public java.lang.String getAppId()

  Description copied from interface: `BasicProperties`
  Retrieve the value in the appId field.

  Returns:
    appId field, or null if the field has not been set.

### setAppId

    @Deprecated
    public void setAppId(java.lang.String appId)

  Deprecated.

  Description copied from interface: `BasicProperties`
  Set the appId field, or null indicating the field is not set

  Parameters:
    `appId` - the value to set the field to

### getClusterId

    public java.lang.String getClusterId()

### setClusterId

    @Deprecated
    public void setClusterId(java.lang.String clusterId)

  Deprecated.

### writePropertiesTo

    public void writePropertiesTo(ContentHeaderPropertyWriter writer)
                           throws java.io.IOException

  Description copied from class: `AMQContentHeader`
  Private API - Autogenerated writer for this header

  Specified by:
    `writePropertiesTo` in class `AMQContentHeader`
  Throws:
    `java.io.IOException`

### appendPropertyDebugStringTo

    public void appendPropertyDebugStringTo(java.lang.StringBuilder acc)

  Description copied from class: `AMQContentHeader`
  Public API - A debugging utility - enable properties to be appended to a string buffer for use as trace messages.

  Specified by:
    `appendPropertyDebugStringTo` in interface `ContentHeader`
  Overrides:
    `appendPropertyDebugStringTo` in class `AMQContentHeader`
  Parameters:
    `acc` - a place to append the properties as a string

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD